Search Mobile Ledger
curl --request GET \
--url https://api.byteful.com/1.0/public/user/mobile_ledger/search \
--header 'X-API-Private-Key: <api-key>' \
--header 'X-API-Public-Key: <api-key>'import requests
url = "https://api.byteful.com/1.0/public/user/mobile_ledger/search"
headers = {
"X-API-Private-Key": "<api-key>",
"X-API-Public-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Private-Key': '<api-key>', 'X-API-Public-Key': '<api-key>'}
};
fetch('https://api.byteful.com/1.0/public/user/mobile_ledger/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.byteful.com/1.0/public/user/mobile_ledger/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Private-Key: <api-key>",
"X-API-Public-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.byteful.com/1.0/public/user/mobile_ledger/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Private-Key", "<api-key>")
req.Header.Add("X-API-Public-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.byteful.com/1.0/public/user/mobile_ledger/search")
.header("X-API-Private-Key", "<api-key>")
.header("X-API-Public-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.byteful.com/1.0/public/user/mobile_ledger/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Private-Key"] = '<api-key>'
request["X-API-Public-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"customer_id": 1955,
"mobile_ledger_bytes": 128290101,
"mobile_ledger_creation_datetime": "2023-04-01 12:00:00",
"mobile_ledger_id": "123e4567-e89b-12d3-a456-426614174000",
"mobile_ledger_last_update_datetime": "2023-04-02 12:00:00",
"mobile_ledger_period_date": "2023-10-01",
"mobile_ledger_reason": "top_up",
"mobile_ledger_requests": 1244,
"service_adjustment_id": 10,
"service_id": "API-1234-5678"
}
],
"item_count": 1,
"message": "Mobile Ledger search successful.",
"page": 1,
"per_page": 10,
"total_count": 1
}Mobile Ledger
Search Mobile Ledger
Search for entries in the Mobile Ledger using various filters.
GET
/
public
/
user
/
mobile_ledger
/
search
Search Mobile Ledger
curl --request GET \
--url https://api.byteful.com/1.0/public/user/mobile_ledger/search \
--header 'X-API-Private-Key: <api-key>' \
--header 'X-API-Public-Key: <api-key>'import requests
url = "https://api.byteful.com/1.0/public/user/mobile_ledger/search"
headers = {
"X-API-Private-Key": "<api-key>",
"X-API-Public-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Private-Key': '<api-key>', 'X-API-Public-Key': '<api-key>'}
};
fetch('https://api.byteful.com/1.0/public/user/mobile_ledger/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.byteful.com/1.0/public/user/mobile_ledger/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Private-Key: <api-key>",
"X-API-Public-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.byteful.com/1.0/public/user/mobile_ledger/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Private-Key", "<api-key>")
req.Header.Add("X-API-Public-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.byteful.com/1.0/public/user/mobile_ledger/search")
.header("X-API-Private-Key", "<api-key>")
.header("X-API-Public-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.byteful.com/1.0/public/user/mobile_ledger/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Private-Key"] = '<api-key>'
request["X-API-Public-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"customer_id": 1955,
"mobile_ledger_bytes": 128290101,
"mobile_ledger_creation_datetime": "2023-04-01 12:00:00",
"mobile_ledger_id": "123e4567-e89b-12d3-a456-426614174000",
"mobile_ledger_last_update_datetime": "2023-04-02 12:00:00",
"mobile_ledger_period_date": "2023-10-01",
"mobile_ledger_reason": "top_up",
"mobile_ledger_requests": 1244,
"service_adjustment_id": 10,
"service_id": "API-1234-5678"
}
],
"item_count": 1,
"message": "Mobile Ledger search successful.",
"page": 1,
"per_page": 10,
"total_count": 1
}Authorizations
Query Parameters
Response
200 - application/json
Successful Mobile Ledger search
Mobile Ledger search was successful.

